#### Beyond Linux® From Scratch (System V Edition) - Version r12.2-875

### Chapter 33. GNOME Libraries and Desktop

- Prev

  Mutter-47.3

- Next

  gnome-shell-extensions-47.2

- Up
- Home

# gnome-shell-47.2

## Introduction to GNOME Shell

The GNOME Shell is the core user interface of the GNOME Desktop environment.

### Note

Development versions of BLFS may not build or run some packages properly if LFS or dependencies have been updated since the most recent stable versions of the books.

### Package Information

- Download (HTTP): https://download.gnome.org/sources/gnome-shell/47/gnome-shell-47.2.tar.xz

- Download MD5 sum: a97f5d11e09d1d31e30d4dac9b8621f0

- Download size: 2.0 MB

- Estimated disk space required: 57 MB (with tests)

- Estimated build time: 0.2 SBU (Using parallelism=4; with tests)

### GNOME Shell Dependencies

#### Required

evolution-data-server-3.54.2, Gcr-4.3.0, Gjs-1.82.1, gnome-desktop-44.1, ibus-1.5.31, Mutter-47.3, Polkit-125, sassc-3.6.2, and startup-notification-0.12

#### Recommended

desktop-file-utils-0.28, gnome-autoar-0.4.5, gnome-bluetooth-47.1, gst-plugins-base-1.24.10, NetworkManager-1.50.0, and power-profiles-daemon-0.23

#### Optional

GTK-Doc-1.34.0 and bash-completion

#### Required Runtime Dependencies

adwaita-icon-theme-47.0, DConf-0.40.0, elogind-255.5, GDM-47.0, gnome-backgrounds-47.0, gnome-control-center-47.2, gnome-menus-3.36.0, and libgweather-4.4.4

#### Recommended Runtime Dependency

blocaled-0.6

## Installation of GNOME Shell

Install GNOME Shell by running the following commands:

    mkdir build &&
    cd    build &&

    meson setup --prefix=/usr       \
                --buildtype=release \
                -D systemd=false    \
                -D tests=false      \
                ..                  &&
    ninja

To test the results, you need to remove the `-D tests=false` switch, and to have Mutter-47.3 compiled and installed with tests also. To run the tests, issue: ninja test. You must be running an X session to run the tests. Some will fail if GDM-47.0 is not installed. Several more tests may fail in the Sysv environment. One test named `CSS styling support` is known to fail with some multi-monitor configurations.

Now, as the `root` user:

    ninja install

## Command Explanations

`--buildtype=release`: Specify a buildtype suitable for stable releases of the package, as the default may produce unoptimized binaries.

`-D systemd=false`: Prevents installing systemd files, which are not needed in this version of BLFS.

`-D tests=false`: Remove this switch if you want to build the tests. However, meson will fail if the Mutter-47.3 tests are not installed.

`-D extensions_tool=false`: This switch allows building this package without gnome-autoar-0.4.5 installed.

## Contents

Installed Programs: gnome-extensions, gnome-extensions-app, gnome-shell, gnome-shell-extension-prefs, gnome-shell-extension-tool, and gnome-shell-test-tool
Installed Libraries: None
Installed Directories: /usr/lib/gnome-shell, /usr/share/gnome-shell, /usr/share/gtk-doc/html/{shell,st} (optional), and /usr/share/xdg-desktop-portal/

### Short Descriptions

gnome-shell | provides the core user interface functions for the GNOME Desktop

- Prev

  Mutter-47.3

- Next

  gnome-shell-extensions-47.2

- Up
- Home